<div class="scalable-container">
<?php
echo CHtml::activeTextField($data, 'pattern', array(
    "name" => 'RoutingOutbound[' . $data->id . '][pattern]',
    "class" => "scalable"
));

if ($data->id != 'new') {
    echo CHtml::error($data, 'pattern', array('style' => 'color:red'));
}
?>
</div>